Requirements for the Commvault Plug-In for vCloud Director

Updated

Verify that the environment where the Commvault Plug-in for VMware vCloud Director is deployed meets the system requirements.

Software

There are several versions of the Commvault Plug-in for VMware vCloud Director, which support different versions of the vCloud Director software. Please refer to the following to ensure your environment meets the system requirements.

  • Commvault Plug-In for VMware vCloud Director Version 10.3 (11.24)

    This version of the plug-in works with VMware vCloud Director Version 10.3 and is supported with Commvault Feature Release 11.24. It includes:

    • An Advanced View that redirects you to the Commvault Command Center. You can enable or disable the Advanced View option in the Configure page of the plugin.

  • Commvault Plug-In for VMware vCloud Director Version 10.2.x (11.20 and above)

    This version of the plug-in works with VMware vCloud Director Versions 10.2.x and is supported with Commvault Feature Release 11.20. It includes:

    • An Advanced View that redirects you to the Commvault Command Center. You can enable or disable the Advanced View option in the Configure page of the plugin.

  • Commvault Plug-In for VMware vCloud Director Version 10.1 (11.20 and above)

    This version of the plug-in works with VMware vCloud Director Version 10.1 and is supported with Commvault Feature Release 11.20 and more recent releases.

  • Commvault Plug-In for VMware vCloud Director Version 9.5 to 10 (11.20 and above)

    This version of the plug-in works with VMware vCloud Director Versions 9.5 - 10 and is supported with Commvault Feature Release 11.20 and more recent releases.

  • Commvault Plug-In for VMware vCloud Director Version 9.5 to 10 (11.19)

    This version of the plug-in works with VMware vCloud Director Versions 9.5 - 10 and is supported with Commvault Feature Release 11.19.

  • Commvault Plug-In for VMware vCloud Director Version 9.5 to 10 (11.18)

    This version of the plug-in works with VMware vCloud Director Versions 9.5 - 10 and is supported with Commvault Feature Release 11.18.

Note: For vCloud Director 9.5 only, install the Customize Portal from https://github.com/vmware-samples/vcd-ext-samples/tree/customize-portal. With this, the Python version must be Version 3.4 or a more recent version.

Operating Systems

  • Windows

  • Linux

Web Browsers

  • Google Chrome

  • Mozilla Firefox

Security

  • SSL certificate: A self-signed certificate must be installed on the client computer that has the Commvault Web Console package installed.

  • Firewall: Verify that port 443 is open on the client computer that has the Commvault Web Console package installed.

Permissions

  • vCloud Director user permissions: Users must have the Organization: View Organizations permission.

  • Commvault user permissions: Tenant users must have the following operation-specific permissions:

    • To run a backup, users must have the Data Protection/Management Operations permission.

    • To run an in-place restore, users must have the In-Place Full Machine Recovery permission.

    • To run an out-of-place restore, users must have the Out-of-Place Full Machine Recovery permission.

    • To run an in-place guest file and folder level restore, users must have the In-Place Recover permission.

    • To run an out-of-place guest file and folder level restore, users must have both the In-Place Recover and Out-of-Place Recover permissions.

    • To associate an unprotected VM to a server backup plan, users must have the Agent Management permission (on the discovered VM).

    • To modify a server backup plan association, users must have the Use Plan permission.